Package Details: freeciv-sdl 2.5.0-1

Git Clone URL: https://aur.archlinux.org/freeciv-sdl.git (read-only)
Package Base: freeciv-sdl
Description: A multiuser clone of the famous Microprose game of Civilization - SDL Client
Upstream URL: http://freeciv.org
Licenses: GPL
Conflicts: freeciv
Submitter: None
Maintainer: jorge_barroso
Last Packager: jorge_barroso
Votes: 31
Popularity: 1.126280
First Submitted: 2007-11-28 00:28
Last Updated: 2015-06-15 19:27

Latest Comments

Thaodan commented on 2015-04-26 14:17

sdl_gfx sdl_ttf is needed, gtk2 is not always installed

jorge_barroso commented on 2013-03-09 16:35

debian itself is gtk dependent, you won't put "linux" or "gcc"/"gcc-libs" on a package dependency array. You could, but it's a waste of time because they are included with the system installation

Thaodan commented on 2013-03-09 16:30

Hmm, the debian freeciv-sdl package doesn't have any gtk depencys.

jorge_barroso commented on 2013-03-02 20:47

when you run it over firefox (for example) it also doesn't shows GTK, but, you know it uses GTK

Thaodan commented on 2013-03-02 19:13

Is this not just the reason for the sdl version instead of the regular gtk version?
When you run ldd on freeciv-sdl you see no GTK:
linux-vdso.so.1 (0x00007ffff398c000)
libfreeciv.so.0 => /usr/lib/libfreeciv.so.0 (0x00007f071e917000)
libm.so.6 => /usr/lib/libm.so.6 (0x00007f071e619000)
libSDL_mixer-1.2.so.0 => /usr/lib/libSDL_mixer-1.2.so.0 (0x00007f071e3c9000)
libSDL-1.2.so.0 => /usr/lib/libSDL-1.2.so.0 (0x00007f071e130000)
libpthread.so.0 => /usr/lib/libpthread.so.0 (0x00007f071df14000)
libSDL_image-1.2.so.0 => /usr/lib/libSDL_image-1.2.so.0 (0x00007f071dcf7000)
libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x00007f071da58000)
libc.so.6 => /usr/lib/libc.so.6 (0x00007f071d6ab000)
libbz2.so.1.0 => /usr/lib/libbz2.so.1.0 (0x00007f071d49b000)
libz.so.1 => /usr/lib/libz.so.1 (0x00007f071d285000)
libdl.so.2 => /usr/lib/libdl.so.2 (0x00007f071d081000)
/lib64/ld-linux-x86-64.so.2 (0x00007f071edf1000)

jorge_barroso commented on 2013-03-01 00:41

sorry by repost:

it is also a graphics interface, but, graphics means the game texturesm etc. The game buttons and generic inteface to interact whit it keeps being gtk2

jorge_barroso commented on 2013-03-01 00:40

because it's graphic interface is gtk2, sdl is a sound interface.

:)

Thaodan commented on 2013-03-01 00:21

So why don't remove gtk2 as depency?

jorge_barroso commented on 2013-02-27 15:34

No Thaodan, this package includes their own client, try it :)
to run in terminal or if you can't find it, the bin name is "freeciv-sdl"

Cheers

Thaodan commented on 2013-02-27 15:01

As the gtk client isn't build. its not needed as depency?

jorge_barroso commented on 2013-02-26 17:23

Adopted, uploading soon :)

Anonymous comment on 2012-06-14 16:46

2.3.2-2 <-- PKGBUILD adjustments/tidying - Nothing special worth updating over.

emphire commented on 2012-05-10 21:19

I'm not using this much anymore so I'm dis-owning it. Feel free to adopt it and update it.

tsion commented on 2011-02-10 06:41

Please update this to the latest. This PKGBUILD doesn't work for me.

Anonymous comment on 2010-08-30 12:08

freeciv-2.2.2 with this PKGBUILD:
http://aur.pastebin.com/UHhaBCTf